
import httplib, urllib, urlparse
import os.path
import StringIO

def Post(url, stringIn, userpass = None):
	urlparts = urlparse.urlparse(url)

	conn = httplib.HTTPConnection(urlparts.netloc)
	headers = {"Content-type": "application/x-www-form-urlencoded","Accept": "text/plain"}

	reqpath = urlparts.path
	if len(urlparts.query) > 0: reqpath = reqpath + "?" + urlparts.query
	if len(urlparts.fragment) > 0: reqpath = reqpath + "#" + urlparts.fragment	

	conn.request("POST",reqpath , stringIn, headers)

	r1 = conn.getresponse()
	data1 = r1.read()
	return data1, (str(r1.status) + " "+ r1.reason)

def Get(url, userpass = None):
	urlparts = urlparse.urlparse(url)

	conn = httplib.HTTPConnection(urlparts.netloc)

	reqpath = urlparts.path
	if len(urlparts.query) > 0: reqpath = reqpath + "?" + urlparts.query
	if len(urlparts.fragment) > 0: reqpath = reqpath + "#" + urlparts.fragment	

	conn.request("GET", reqpath)
	r1 = conn.getresponse()
	data1 = r1.read()
	return data1, (str(r1.status) +" "+ r1.reason)


def HeaderToDict(header):
	hs = header.split("\n")
	hsd = dict()
	for line in hs:
		if line.find(":")==-1: continue
		linesp = line.split(":",1)
		hsd[linesp[0]] = linesp[1].lstrip(" ").rstrip("\r")
	return hsd

def HeaderResponseCode(header):
	prefix = "HTTP/1.1 "
	hs = header.split("\n")
	for line in hs:
		#print line
		line = line.rstrip("\r")
		if line[:len(prefix)] == prefix:
			if line == "HTTP/1.1 100 Continue": continue
			return line
	return None
	#return hs[0].rstrip("\r")
	

